@charset "utf-8";
/*---------------------
 2023.05.23 creates KINET
-----------------------*/

/*---------------------
 Base
-----------------------*/

.drawer-nav {
  clear: both;
  background-color: #fff;
  /*--  	背景色	-- */
  height: 100%;
  /*--  画面高さ -- */
  overflow: hidden;
  position: fixed;
  top: 0;
  width: 17.25rem;
  /*-- 同じにする箇所
	 .drawer--left .drawer-nav  left: -17.25rem; 
	 .drawer--left.drawer-open .drawer-hamburger   left: 17.25rem;
	 -- */
  z-index: 2;

}

.drawer-menu {
  list-style: outside none none;
  margin: 0;
  padding: 0 0 0 0;
}

.drawer-menu li {
  display: block;
  text-align: left;
  padding: 0.75rem;
  border-bottom: 1px solid #FFF;
}


.drawer-menu li.bottom {
  border-bottom: 0;
}

.drawer-menu a {
  color: #221814;
  font-weight: bold;
  font-size: 1rem;
  text-decoration: none;
  text-align: left;
  padding-left: 1.2rem;
}

.drawer-menu li:before {
  display: block;
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  margin: 0.4rem 0 0 0rem;
  border: 6px solid transparent;
  border-left: 8px solid #221814;
}

/* .drawer-menu li:before {
font-family: "Font Awesome 5 Free";
content: " \f0da ";
font-weight: 700;
font-size:1em;
} */





/*-- 入れ子メニュ kinet作成 18.01.11-- */
.drawer-menu_innr {
  padding-left: 2.4rem;
  display: none;
}

.onoff {
  cursor: pointer;
  position: relative;
  left: 40px;
  padding: 6px;
  font-size: 1.250em;
  color: #555;
  font-weight: 700;
}

.drawer-menu .drawer-menu_innr li {
  padding: 0.75rem 0;
}

.drawer-menu_innr a {
  padding-left: 0rem;
  padding-right: 1rem;
  font-size: 14px;
  color: #555;
}

.drawer-menu_innr li:before {
  display: block;
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  margin: 0.5rem 0 0 -1rem;
  border: 4px solid transparent;
  border-left: 6px solid #555;
}

/*-- 入れ子メニュ kinet作成 -- */

.drawer-menu-item:hover {
  background-color: transparent;
  color: #333;
  text-decoration: none;
}

.drawer-overlay {
  background-color: rgba(0, 0, 0, 0.2);
  display: none;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.drawer-open .drawer-overlay {
  /* display: block; */
}

.drawer--top .drawer-nav {
  height: auto;
  left: 0;
  max-height: 100%;
  top: -100%;
  transition: top 0.6s cubic-bezier(0.19, 1, 0.22, 1) 0s;
  width: 100%;
}

.drawer--top.drawer-open .drawer-nav {
  top: 0;
}

.drawer--top .drawer-hamburger,
.drawer--top.drawer-open .drawer-hamburger {
  right: 0;
}

.drawer--left .drawer-nav {
  left: -17.25rem;
  transition: left 0.6s cubic-bezier(0.19, 1, 0.22, 1) 0s;
}

.drawer--left .drawer-hamburger,
.drawer--left.drawer-open .drawer-nav,
.drawer--left.drawer-open .drawer-navbar .drawer-hamburger {
  left: 0;
}

.drawer--left.drawer-open .drawer-hamburger {
  left: 17.25rem;
}

.drawer--right .drawer-nav {
  right: -17.25rem;
  transition: right 0.6s cubic-bezier(0.19, 1, 0.22, 1) 0s;
}

.drawer--right .drawer-hamburger,
.drawer--right.drawer-open .drawer-nav,
.drawer--right.drawer-open .drawer-navbar .drawer-hamburger {
  right: 0;
}

.drawer--right.drawer-open .drawer-hamburger {
  right: 17.25rem;
}

.drawer-hamburger {
  background-color: transparent;
  border: 0 none;
  box-sizing: content-box;
  display: block;
  outline: 0 none;
  padding: 10px 12px 17px;
  margin: 10px 10px;
  /*--  ウィンドウからの線の位置-- */
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  position: fixed;
  top: 0;
  transform: translateZ(0px);
  transition: all 0.6s cubic-bezier(0.19, 1, 0.22, 1) 0s;
  width: 2.0rem;
  /*--  線の長さ-- */
  z-index: 4;
}

.drawer-hamburger:hover {
  cursor: pointer;
}

.drawer-hamburger-icon {
  display: block;
  margin-top: 10px;
  /*--  ウィンドウからの線の位置-- */
  position: relative;
}

.drawer-hamburger-icon_menu {
  /*--  文字の色 -- */
  margin-top: 10px;
  /*--  ウィンドウからの線の位置-- */
  position: relative;
  color: transparent;
  /*-- color:#fff; -- */
  font-size: 0.5rem;
}

.drawer-hamburger-icon,
.drawer-hamburger-icon::after,
.drawer-hamburger-icon::before {
  background-color: #fff;
  /*--  線の色 -- */
  height: 2px;
  /*--  線の太さ -- */
  transition: all 0.6s cubic-bezier(0.19, 1, 0.22, 1) 0s;
  width: 100%;
}

.drawer-hamburger-icon::after,
.drawer-hamburger-icon::before {
  content: " ";
  left: 0;
  position: absolute;
  top: -9px;
  /*--  線の間 上 -- */
}

.drawer-hamburger-icon::after {
  top: 9px;
  /*--  線の間 下 -- */
}

.drawer-open .drawer-hamburger-icon {
  background-color: transparent;
}

.drawer-open .drawer-hamburger-icon::after,
.drawer-open .drawer-hamburger-icon::before {
  top: 0;
}

.drawer-open .drawer-hamburger-icon::before {
  transform: rotate(45deg);
}

.drawer-open .drawer-hamburger-icon::after {
  transform: rotate(-45deg);
}

.sr-only {
  border: 0 none;
  clip: rect(0px, 0px, 0px, 0px);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.sr-only-focusable:active,
.sr-only-focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  width: auto;
}

.drawer--sidebar,
.drawer--sidebar .drawer-contents {
  background-color: #fff;
}




/* スマートフォン 
------------------------------------------------------------*/







@media only screen and (max-width: 450px) {

  .drawer-hamburger_nav_logo {
    width: 50%;
  }

  .drawer-hamburger_nav_login {
    width: 23%;
  }
}

/* スマートフォン 
------------------------------------------------------------*/